const allSideMenu = document.querySelectorAll('#sidebar .side-menu.top li a');

allSideMenu.forEach(item=> {
	const li = item.parentElement;

	item.addEventListener('click', function () {
		allSideMenu.forEach(i=> {
			i.parentElement.classList.remove('active');
		})
		li.classList.add('active');
	})
});




// TOGGLE SIDEBAR
const menuBar = document.querySelector('#content nav .bx.bx-menu');
const sidebar = document.getElementById('sidebar');

menuBar.addEventListener('click', function () {
	sidebar.classList.toggle('hide');
})







const searchButton = document.querySelector('#content nav form .form-input button');
const searchButtonIcon = document.querySelector('#content nav form .form-input button .bx');
const searchForm = document.querySelector('#content nav form');

searchButton.addEventListener('click', function (e) {
	if(window.innerWidth < 576) {
		e.preventDefault();
		searchForm.classList.toggle('show');
		if(searchForm.classList.contains('show')) {
			searchButtonIcon.classList.replace('bx-search', 'bx-x');
		} else {
			searchButtonIcon.classList.replace('bx-x', 'bx-search');
		}
	}
})





if(window.innerWidth < 768) {
	sidebar.classList.add('hide');
} else if(window.innerWidth > 576) {
	searchButtonIcon.classList.replace('bx-x', 'bx-search');
	searchForm.classList.remove('show');
}


window.addEventListener('resize', function () {
	if(this.innerWidth > 576) {
		searchButtonIcon.classList.replace('bx-x', 'bx-search');
		searchForm.classList.remove('show');
	}
})



const switchMode = document.getElementById('switch-mode');

switchMode.addEventListener('change', function () {
	if(this.checked) {
		document.body.classList.add('dark');
	} else {
		document.body.classList.remove('dark');
	}
})





document.addEventListener('DOMContentLoaded', () => {
	const profile1 = document.getElementById('profile1');
	const profilepopup1 = document.getElementById('profile-popup1');

    profile1.addEventListener('click', () => {
        if (profilepopup1.style.display === 'none' || profilepopup1.style.display === '') {
            profilepopup1.style.display = 'flex';
        } else {
            profilepopup1.style.display = 'none';
        }
    });
});


document.addEventListener('DOMContentLoaded', () => {
	const storedropdownprt2 = document.getElementById('store-dropdown-prt2');
	const storedropdownbtn = document.getElementById('store-dropdown-btn');
	const dropdown1block = document.getElementById('dropdown1-block');
	
	const arowicn3 = document.getElementById('arow-icn3');

    storedropdownbtn.addEventListener('click', () => {
        if (storedropdownprt2.style.display === 'none' || storedropdownprt2.style.display === '') {
            storedropdownprt2.style.display = 'flex';
			arowicn3.classList.add("arow-icn2");
			dropdown1block.classList.add("dropdown-btns-block1");
		
        } else {
            storedropdownprt2.style.display = 'none';
			arowicn3.classList.remove("arow-icn2");
			dropdown1block.classList.remove("dropdown-btns-block1");
			


        }
    });
});

const sidebar1 = document.getElementById('sidebar');
if(sidebar1.style.width === "60px"){
	document.getElementById('store-dropdown-btn').storedropdownprt2.style.width = '0px';
}







const side = document.getElementById('sidebar');
const storedropdownprt2 = document.getElementById('dropdown1-block');

const resizeObserver = new ResizeObserver(entries => {
	for (let entry of entries) {
		if (entry.target === side) {
			const width = entry.contentRect.width;
			
			storedropdownprt2.style.marginLeft = width < 61 ? '6px' : '15px';

		}
	}
});

resizeObserver.observe(side);